<template>
	<view class="body">
			<view class="sekuai" v-if="guanli" @click="tiaozhuanguanli">
				<view class="neibu">
					<view class="neibu2" >
						<view class="zhuBT">
							中药物流管理
						</view>
						<view class="fuBT">
							中药物流节点跟踪
						</view>
					</view>
					<view class="">
						<view class="tupian">
							<u-image src="https://maomaochong.top:8088/i/2024/03/25/66015effd9c6e.png" :fade="true" duration="200" mode="scaleToFill" width="170" height="170"></u-image>
						</view>
					</view>
				</view>
			</view>
			<view class="sekuai1" v-if="huiyuan" @click="tiaozhuanhuiyuan">
				<view class="neibu">
				<view class="neibu2" >
					<view class="zhuBT" >
						会员项目管理
					</view>
					<view class="fuBT" >
						会员项目转换
					</view>
				</view>
				<view class="">
					<view class="tupian1">
						<u-image src="https://maomaochong.top:8088/i/2024/03/25/66015ee130e54.png" :fade="true" duration="200" mode="scaleToFill" width="170" height="170"></u-image>
					</view>
				</view>
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				guanli:false,
				huiyuan:false
			}
		},
		onShow() {
			var me = this
			 var res=uni.getStorageSync(
			 	'token'
			 )
			if(res == null ||res == "" || res == undefined){
				uni.navigateTo({
					url:"../login/login"
				})
			}
			var a
			for(a=0;a<res.menu.length;a++){
				console.log(res.menu[a])
				var z = res.menu[a].menuId
				if(z == 1){
					me.guanli = true
				}else if(z == 2){
					me.huiyuan = true
				}
			}
			
		},
		methods: {
			tiaozhuanguanli(){
				uni.navigateTo({
					url:"../wuliugenzong1/genzong"
				})
			},
			tiaozhuanhuiyuan(){
				uni.navigateTo({
					url:"../cijimulu/index"
				})
			}
		}
	}
</script>

<style>
	@import url("index.css");
</style>
